%define major      0
%define libname    %mklibname pcaudio %{major}
%define libnamedev %mklibname pcaudiolib -d

Name:           pcaudiolib
Version:        1.2
Release:        %mkrel 1
Summary:        Portable C Audio Library
Group:          System/Libraries
# pcaudiolib bundles TPCircularBuffer with Cube license, which is only used
# by coreaudio support, which we do not build. The rest is GPLv3+.
License:        GPLv3+
URL:            https://github.com/espeak-ng/pcaudiolib/
Source0:        https://github.com/espeak-ng/pcaudiolib/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libpulse)

%description
The Portable C Audio Library (pcaudiolib) provides a C API to different
audio devices.

#------------------------------------------------

%package -n     %{libname}
Summary:        Portable C Audio Library
Group:          System/Libraries

%description -n %{libname}
The Portable C Audio Library (pcaudiolib) provides a C API to different
audio devices.

#------------------------------------------------

%package -n     %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for the Portable C Audio Library.

#------------------------------------------------

%prep
%autosetup

rm -rf src/TPCircularBuffer

%build
./autogen.sh
%configure --disable-static \
           --without-coreaudio
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%license COPYING
%doc AUTHORS CHANGELOG.md README.md
%{_libdir}/libpcaudio.so.%{major}{,.*}

%files -n %{libnamedev}
%{_libdir}/libpcaudio.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/audio.h


%changelog
* Wed Aug 24 2022 papoteur <papoteur> 1.2-1.mga9
+ Revision: 1880114
- new 1.2

* Mon Mar 21 2022 umeabot <umeabot> 1.1-2.mga9
+ Revision: 1813807
- Mageia 9 Mass Rebuild

* Sun Dec 27 2020 daviddavid <daviddavid> 1.1-1.mga8
+ Revision: 1664160
- initial package pcaudiolib (needed for espeak-ng)

